MCP Tools Reference: netapp.googleapis.com

Tool: get_storage_pool

Get storage pool in a given project and location.

The following sample demonstrates how to use curl to invoke the get_storage_pool MCP tool.

Curl Request
                  
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_storage_pool",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetStoragePoolRequest gets a Storage Pool.

GetStoragePoolRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Name of the storage pool

Output Schema

StoragePool is a container for volumes with a service level and capacity. Volumes can be created in a pool of sufficient available capacity. StoragePool capacity is what you are billed for.

StoragePool

JSON representation
{
  "name": string,
  "serviceLevel": enum (ServiceLevel),
  "capacityGib": string,
  "volumeCapacityGib": string,
  "volumeCount": integer,
  "state": enum (State),
  "stateDetails": string,
  "createTime": string,
  "description": string,
  "labels": {
    string: string,
    ...
  },
  "network": string,
  "activeDirectory": string,
  "kmsConfig": string,
  "ldapEnabled": boolean,
  "psaRange": string,
  "encryptionType": enum (EncryptionType),
  "allowAutoTiering": boolean,
  "replicaZone": string,
  "zone": string,
  "satisfiesPzs": boolean,
  "satisfiesPzi": boolean,
  "customPerformanceEnabled": boolean,
  "totalThroughputMibps": string,
  "totalIops": string,
  "hotTierSizeGib": string,
  "qosType": enum (QosType),
  "availableThroughputMibps": number,
  "coldTierSizeUsedGib": string,
  "hotTierSizeUsedGib": string,
  "scaleType": enum (ScaleType),

  // Union field _global_access_allowed can be only one of the following:
  "globalAccessAllowed": boolean
  // End of list of possible types for union field _global_access_allowed.

  // Union field _enable_hot_tier_auto_resize can be only one of the following:
  "enableHotTierAutoResize": boolean
  // End of list of possible types for union field _enable_hot_tier_auto_resize.

  // Union field _type can be only one of the following:
  "type": enum (StoragePoolType)
  // End of list of possible types for union field _type.

  // Union field _mode can be only one of the following:
  "mode": enum (Mode)
  // End of list of possible types for union field _mode.

  // Union field _scale_tier can be only one of the following:
  "scaleTier": enum (ScaleTier)
  // End of list of possible types for union field _scale_tier.
}
Fields
name

string

Identifier. Name of the storage pool

serviceLevel

enum (ServiceLevel)

Required. Service level of the storage pool

capacityGib

string (int64 format)

Required. Capacity in GIB of the pool

volumeCapacityGib

string (int64 format)

Output only. Allocated size of all volumes in GIB in the storage pool

volumeCount

integer

Output only. Volume count of the storage pool

state

enum (State)

Output only. State of the storage pool

stateDetails

string

Output only. State details of the storage pool

createTime

string (Timestamp format)

Output only. Create time of the storage pool

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

description

string

Optional. Description of the storage pool

labels

map (key: string, value: string)

Optional. Labels as key value pairs

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

network

string

Required. VPC Network name. Format: projects/{project}/global/networks/{network}

activeDirectory

string

Optional. Specifies the Active Directory to be used for creating a SMB volume.

kmsConfig

string

Optional. Specifies the KMS config to be used for volume encryption.

ldapEnabled

boolean

Optional. Flag indicating if the pool is NFS LDAP enabled or not.

psaRange

string

Optional. This field is not implemented. The values provided in this field are ignored.

encryptionType

enum (EncryptionType)

Output only. Specifies the current pool encryption key source.

allowAutoTiering

boolean

Optional. True if the storage pool supports Auto Tiering enabled volumes. Default is false. Auto-tiering can be enabled after storage pool creation but it can't be disabled once enabled.

replicaZone

string

Optional. Specifies the replica zone for regional storagePool.

zone

string

Optional. Specifies the active zone for regional storagePool.

satisfiesPzs

boolean

Output only. Reserved for future use

satisfiesPzi

boolean

Output only. Reserved for future use

customPerformanceEnabled

boolean

Optional. True if using Independent Scaling of capacity and performance (Hyperdisk) By default set to false

totalThroughputMibps

string (int64 format)

Optional. Custom Performance Total Throughput of the pool (in MiBps)

totalIops

string (int64 format)

Optional. Custom Performance Total IOPS of the pool if not provided, it will be calculated based on the total_throughput_mibps

hotTierSizeGib

string (int64 format)

Optional. Total hot tier capacity for the Storage Pool. It is applicable only to Flex service level. It should be less than the minimum storage pool size and cannot be more than the current storage pool size. It cannot be decreased once set.

qosType

enum (QosType)

Optional. QoS (Quality of Service) Type of the storage pool

availableThroughputMibps

number

Output only. Available throughput of the storage pool (in MiB/s).

coldTierSizeUsedGib

string (int64 format)

Output only. Total cold tier data rounded down to the nearest GiB used by the storage pool.

hotTierSizeUsedGib

string (int64 format)

Output only. Total hot tier data rounded down to the nearest GiB used by the storage pool.

scaleType

enum (ScaleType)

Optional. The scale type of the storage pool. Defaults to SCALE_TYPE_DEFAULT if not specified.

Union field _global_access_allowed.

_global_access_allowed can be only one of the following:

globalAccessAllowed
(deprecated)

boolean

Deprecated. Used to allow SO pool to access AD or DNS server from other regions.

Union field _enable_hot_tier_auto_resize.

_enable_hot_tier_auto_resize can be only one of the following:

enableHotTierAutoResize

boolean

Optional. Flag indicating that the hot-tier threshold will be auto-increased by 10% of the hot-tier when it hits 100%. Default is true. The increment will kick in only if the new size after increment is still less than or equal to storage pool size.

Union field _type.

_type can be only one of the following:

type

enum (StoragePoolType)

Optional. Type of the storage pool. This field is used to control whether the pool supports FILE based volumes only or UNIFIED (both FILE and BLOCK) volumes. If not specified during creation, it defaults to FILE.

Union field _mode.

_mode can be only one of the following:

mode

enum (Mode)

Optional. Mode of the storage pool. This field is used to control whether the user can perform ONTAP operations on the storage pool using the GCNV ONTAP Mode APIs. If not specified during creation, it defaults to DEFAULT.

Union field _scale_tier.

_scale_tier can be only one of the following:

scaleTier
(deprecated)

enum (ScaleTier)

Optional. Deprecated: Use scale_type instead. The effective scale tier of the storage pool. If scale_tier is not specified during creation, this defaults to SCALE_TIER_STANDARD.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

ServiceLevel

The service level of a storage pool and its volumes.

Enums
SERVICE_LEVEL_UNSPECIFIED Unspecified service level.
PREMIUM Premium service level.
EXTREME Extreme service level.
STANDARD Standard service level.
FLEX Flex service level.

State

The Storage Pool States

Enums
STATE_UNSPECIFIED Unspecified Storage Pool State
READY Storage Pool State is Ready
CREATING Storage Pool State is Creating
DELETING Storage Pool State is Deleting
UPDATING Storage Pool State is Updating
RESTORING Storage Pool State is Restoring
DISABLED Storage Pool State is Disabled
ERROR Storage Pool State is Error

EncryptionType

The volume encryption key source.

Enums
ENCRYPTION_TYPE_UNSPECIFIED The source of the encryption key is not specified.
SERVICE_MANAGED Google managed encryption key.
CLOUD_KMS Customer managed encryption key, which is stored in KMS.

QosType

QoS (Quality of Service) Types of the storage pool

Enums
QOS_TYPE_UNSPECIFIED Unspecified QoS Type
AUTO QoS Type is Auto
MANUAL QoS Type is Manual

StoragePoolType

Type of storage pool

Enums
STORAGE_POOL_TYPE_UNSPECIFIED Storage pool type is not specified.
FILE Storage pool type is file.
UNIFIED Storage pool type is unified.

Mode

Mode of the storage pool or volume. This field is used to control whether the resource is managed by the GCNV APIs or the GCNV ONTAP Mode APIs.

Enums
MODE_UNSPECIFIED The Mode is not specified.
DEFAULT The resource is managed by the GCNV APIs.
ONTAP The resource is managed by the GCNV ONTAP Mode APIs.

ScaleTier

Deprecated: Use ScaleType instead. Defines the scale-out configuration of a UNIFIED Storage Pool. New enum values may be added in the future.

Enums
SCALE_TIER_UNSPECIFIED Deprecated: Use ScaleType instead. The default value. This value is unused.
SCALE_TIER_STANDARD Deprecated: Use ScaleType instead. The standard capacity and performance tier. Suitable for general purpose workloads.
SCALE_TIER_ENTERPRISE Deprecated: Use ScaleType instead. A higher capacity and performance tier. Suitable for more demanding workloads.

ScaleType

Defines the scale-type of a UNIFIED Storage Pool.

Enums
SCALE_TYPE_UNSPECIFIED Unspecified scale type.
SCALE_TYPE_DEFAULT Represents standard capacity and performance scale-type. Suitable for general purpose workloads.
SCALE_TYPE_SCALEOUT Represents higher capacity and performance scale-type. Suitable for more demanding workloads.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌